Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.rms
Class RecordEntry

    java.lang.Object
      com.sun.squawk.rms.RmsEntry
          com.sun.squawk.rms.RecordEntry

All Implemented Interfaces:
  IRecordEntry, IRmsEntry

    public class RecordEntry

extends RmsEntry
implements IRecordEntry

Field Summary
`protected byte[]` | `bytes`
`protected int` | `bytesLength`
`protected int` | `bytesOffset`
`protected int` | `id`
`protected int` | `storeId`
`static int` | `TYPE`

Fields inherited from class com.sun.squawk.rms.RmsEntry
`address, size`

Constructor Summary
`RecordEntry()`

Method Summary
`byte[]` | `getBytes()`
`int` | `getBytes(byte[] buffer, int offset, int length)`
`int` | `getBytesLength()`
`int` | `getId()`
`int` | `getStoreId()`
`int` | `getType()`
`void` | `readFrom(IMemoryHeapBlock memoryBlock)`
`void` | `setBytes(byte[] bytes, int offset, int length)`
`void` | `setId(int id)`
`void` | `setStoreId(int id)`
`void` | `visit(IRmsEntryVisitor visitor)`
`void` | `writeTo(DataOutputStream dataOut)`

Methods inherited from class com.sun.squawk.rms.RmsEntry
`getAddress, setAddress, size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.squawk.rms.IRmsEntry
`getAddress, setAddress, size`

Field Detail

### TYPE

    public static final int TYPE

See Also:
  Constant Field Values

### storeId

    protected int storeId

### id

    protected int id

### bytesLength

    protected int bytesLength

### bytesOffset

    protected int bytesOffset

### bytes

    protected byte[] bytes

Constructor Detail

### RecordEntry

    public RecordEntry()

Method Detail

### getBytes

    public byte[] getBytes()

  Specified by:
    `getBytes` in interface `IRecordEntry`

### getBytes

    public int getBytes(byte[] buffer,
                        int offset,
                        int length)

  Specified by:
    `getBytes` in interface `IRecordEntry`

### getBytesLength

    public int getBytesLength()

  Specified by:
    `getBytesLength` in interface `IRecordEntry`

### getId

    public int getId()

  Specified by:
    `getId` in interface `IRecordEntry`

### getStoreId

    public int getStoreId()

  Specified by:
    `getStoreId` in interface `IRecordEntry`

### getType

    public int getType()

  Specified by:
    `getType` in interface `IRmsEntry`

### readFrom

    public void readFrom(IMemoryHeapBlock memoryBlock)
                  throws IOException

  Specified by:
    `readFrom` in interface `IRmsEntry`
  Overrides:
    `readFrom` in class `RmsEntry`
  Throws:
    `IOException`

### setBytes

    public void setBytes(byte[] bytes,
                         int offset,
                         int length)

  Specified by:
    `setBytes` in interface `IRecordEntry`

### setId

    public void setId(int id)

  Specified by:
    `setId` in interface `IRecordEntry`

### setStoreId

    public void setStoreId(int id)

  Specified by:
    `setStoreId` in interface `IRecordEntry`

### visit

    public void visit(IRmsEntryVisitor visitor)
               throws RecordStoreException

  Specified by:
    `visit` in interface `IRmsEntry`
  Throws:
    `RecordStoreException`

### writeTo

    public void writeTo(DataOutputStream dataOut)
                 throws IOException

  Specified by:
    `writeTo` in interface `IRmsEntry`
  Overrides:
    `writeTo` in class `RmsEntry`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"